Bug 1417163 - RFE: Support for bucket owner to grant cross account bucket permissions
Summary: RFE: Support for bucket owner to grant cross account bucket permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: Matt Benjamin (redhat)
QA Contact: vidushi
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1473188 1494421
TreeView+ depends on / blocked
 
Reported: 2017-01-27 11:37 UTC by Kyle Bader
Modified: 2020-03-11 15:40 UTC (History)
13 users (show)

Fixed In Version: RHEL: ceph-12.1.4-1.el7cp Ubuntu: ceph_12.1.4-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Bucket owners can grant permissions to other users With this update, bucket owners can provide read access to their buckets to another user. For details, see the link:https://access.redhat.com/solutions/2954001[Ceph - How to grant access for multiple S3 users to access a single bucket] solution on the Red{nbsp}Hat Enterprise Linux.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:32:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2954001 None None None 2017-03-03 19:59:46 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Kyle Bader 2017-01-27 11:37:25 UTC
User story:

1. As a user, I want to provide another user read access to one of my buckets.
1. As a user, I want to provide another user read access to one of my buckets.


The Amazon guide for configuring this setup is here:

https://docs.aws.amazon.com/AmazonS3/latest/dev/example-walkthroughs-managing-access-example2.html

Additionally, some users want to be able to do this with keystone authentication enabled for S3 users (both from the same, and different tenants).

Comment 17 errata-xmlrpc 2017-12-05 23:32:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.